## Xfce Titled Dialog Xfce Titled Dialog — A GtkDialog with heading. |

## Functions

GtkWidget * | xfce_titled_dialog_new ()
GtkWidget * | xfce_titled_dialog_new_with_buttons ()
const gchar * | xfce_titled_dialog_get_subtitle ()
void | xfce_titled_dialog_set_subtitle ()

## Properties

gchar * | subtitle | Read / Write

## Types and Values

struct | XfceTitledDialog

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkContainer
                        ╰── GtkBin
                            ╰── GtkWindow
                                ╰── GtkDialog
                                    ╰── XfceTitledDialog

## Implemented Interfaces

XfceTitledDialog implements AtkImplementorIface and GtkBuildable.

## Includes

    #include <libxfce4ui/libxfce4ui.h>

## Description

The XfceTitledDialog is a normal GtkDialog with a heading. The icon and title used in the heading are the same as the dialog title and icon See `gtk_window_set_icon_name()`.

To give the user more detailed information about the use of the dialog, an optional subtitle and be set using `xfce_titled_dialog_set_subtitle()`.

## Functions

### xfce_titled_dialog_new ()

    GtkWidget *
    xfce_titled_dialog_new (void);

Allocates a new XfceTitledDialog instance.

#### Returns

the newly allocated XfceTitledDialog.

### xfce_titled_dialog_new_with_buttons ()

    GtkWidget *
    xfce_titled_dialog_new_with_buttons (const gchar *title,
                                         GtkWindow *parent,
                                         GtkDialogFlags flags,
                                         const gchar *first_button_text,
                                         ...);

See the documentation of `gtk_dialog_new_with_buttons()` for details about the parameters and the returned dialog.

#### Parameters

title | title of the dialog, or `NULL`. |
parent | transient parent window of the dialog, or `NULL`. |
flags | from GtkDialogFlags. |
first_button_text | stock ID or text to go in first, or `NULL`. |

#### Returns

the newly allocated XfceTitledDialog.

### xfce_titled_dialog_get_subtitle ()

    const gchar *
    xfce_titled_dialog_get_subtitle (XfceTitledDialog *titled_dialog);

Returns the subtitle of the `titled_dialog` , or `NULL` if no subtitle is displayed in the `titled_dialog` .

#### Parameters

titled_dialog | a XfceTitledDialog. |

#### Returns

the subtitle of `titled_dialog` , or `NULL`.

### xfce_titled_dialog_set_subtitle ()

    void
    xfce_titled_dialog_set_subtitle (XfceTitledDialog *titled_dialog,
                                     const gchar *subtitle);

Sets the subtitle displayed by `titled_dialog` to `subtitle` ; if `subtitle` is `NULL` no subtitle will be displayed by the `titled_dialog` .

#### Parameters

titled_dialog | a XfceTitledDialog. |
subtitle | the new subtitle for the `titled_dialog` , or `NULL`. |

## Types and Values

### struct XfceTitledDialog

    struct XfceTitledDialog;

Structure for the XfceTitledDialog.

## Property Details

### The `“subtitle”` property

      “subtitle”                 gchar *

The subtitle displayed below the main dialog title.

Flags: Read / Write

Default value: NULL

## See Also

GtkDialog, GtkWindow